## class osgParticle::Counter

## Inheritance:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual int numParticlesToCreate(double dt) const = 0
inline Counter()
inline Counter(const Counter &copy, const osg::CopyOp &copyop)

### Protected Methods

~Counter()
Counter& operator=(const Counter &)

## Documentation

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual bool isSameKindAs(const osg::Object* obj) const`

`virtual int numParticlesToCreate(double dt) const = 0`

`~Counter()`

`Counter& operator=(const Counter &)`

`inline Counter()`

`inline Counter(const Counter &copy, const osg::CopyOp &copyop)`

Direct child classes:
  VariableRateCounter

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.